glab(1)

NAME
glab-cluster-agent-update-kubeconfig - Update your kubeconfig for use with a GitLab Agent for Kubernetes.

SYNOPSIS
glab cluster agent update-kubeconfig [flags]

DESCRIPTION
Configures kubectl to authenticate through the GitLab Agent for Kubernetes using an exec credential plugin.

•   Use --agent to specify the agent by its numeric ID.

•   Use --use-context to set the agent as the default kubectl context.

•   Use --token-expiry-duration to control how long the generated token is valid.

•   Use --cache-mode to control how generated tokens are cached.

OPTIONS
-a, --agent=0
    The numeric agent ID to create the kubeconfig entry for.

-c, --cache-mode="force-keyring"
    Mode to use for caching the token. Allowed values: keyring-filesystem-fallback, force-keyring, force-filesystem, no.

--check-revoked[=false]
    Check if a cached token is revoked. Requires an API call to GitLab, which adds latency every time a cached token is accessed.

--kubeconfig=""
    Use a particular kubeconfig file.

--token-expiry-duration=24h0m0s
    Duration for generated token's validity. Minimum is 1 day. Expires at end of day, and ignores time.

-u, --use-context[=false]
    Use as default context.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Update kubeconfig for agent 123
    glab cluster agent update-kubeconfig --agent 123
    # Update kubeconfig and set as the default context
    glab cluster agent update-kubeconfig --agent 123 --use-context

SEE ALSO
glab-cluster-agent(1)